curs_ins_wch(3X)

NAME
ins_wch, mvins_wch, mvwins_wch, wins_wch - insert a curses complex character in a window

SYNOPSIS
#include <ncurses/curses.h>

int ins_wch(const cchar_t *wch);
int wins_wch(WINDOW *win, const cchar_t *wch);
int mvins_wch(int y, int x, const cchar_t *wch);
int mvwins_wch(WINDOW *win, int y, int x, const cchar_t *wch);

DESCRIPTION
These functions insert the curses complex character wch at the cursor in the specified window win (or stdscr). The character previously at the cursor and any to its right move one cell to the right; the rightmost character on the line is discarded. The cursor does not advance.

RETURN VALUE
These functions return OK on success and ERR on failure.

Functions taking a WINDOW pointer argument fail if the pointer is NULL.

Functions prefixed with “mv” first perform cursor movement and fail if the position (y, x) is outside the window boundaries.

NOTES
A terminal's insert_character (ich1) capability is not necessarily employed.

ins_wch, mvins_wch, and mvwins_wch may be implemented as macros.

PORTABILITY
X/Open Curses, Issue 4 describes these functions.

SVr4 describes successful return values only as “an integer value other than ERR”.

HISTORY
SVr4 (1989) implemented these functions under the names inswch, winswch, mvinswch, and mvwinswch.

SEE ALSO
curs_insch(3X) describes comparable functions in the non-wide-character curses configuration.

curses(3X), terminfo(5)